| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsTableStats Class Reference

This class contains statistics on a table in the ibi™ Patterns - Search server. More...

## Public Member Functions
String | getName ()
String | getDbInfo ()
String[] | getFieldNames ()
String[] | getCharMaps ()
| Gets the name of the character map for each field of the table.
String[] | getChildTables ()
| Get the child tables of this table.
int[] | getFieldTypes ()
int | getNumRecs ()
int | getKeyTreeBytes ()
int | getRecFieldBytes ()
int | getHeaderBytes ()
int[] | getFieldBytes ()
int[] | getFieldChars ()
| Returns The total number of characters in each field.
long[] | getFieldByteTotals ()
long[] | getFieldCharTotals ()
bool | isGipFiltered ()
bool | isSortFiltered ()
bool | isPsiFiltered ()
int | getIdxBytes ()
int | getIdxGpuBytes ()
bool | isPhonetic ()
int | getPhoneticGipBytes ()
int | getTotalBytes ()
int | getProcBytes ()
bool | getIsParent ()
| Check if the table is a parent table.
bool | getIsChild ()
| Check if the table is a child table.
string | getParentTableName ()
NetricsTable.PsiDensity[] | getPsiEncodingDensities ()
| If the table is PSI-indexed, returns the suffix densities of the PSI encodings. Returns null if the table is not PSI-indexed.
bool | getIsGpuIndexed ()
| Checks if GPU-accelerated indexing is enabled for the table.
bool | getHasVarattrs ()
| Returns true if the table allows variable-attributes.
String[] | getVarAttrNames ()
| Returns all the variable-attribute names in the table.
Public Member Functions inherited from NetricsServerInterface.BaseObjectStats
int | getTranState ()
| Get the transaction state for this object.
bool | isDirty ()
| Check if this item has been modified under an open transaction.
bool | isUpdated ()
| Check if this item is updated under an open transaction.
bool | isHeld ()
| Check if this item is held by an open transaction.
int | getTranId ()
| Obsolete. Use getTransactionId to obtain the full 64-bit id.
long | getTransactionId ()
| Get the full ID of the transaction that owns or claims this item.
String | getLayout ()
| Obsolete. Always returns blank. Layouts are deprecated since version 5.6, and removed in 5.7.
String | getCheckpointStatus ()
| Get the checkpoint status of this item.

## Detailed Description

This class contains statistics on a table in the ibi™ Patterns - Search server.

It can be used to get information about the size and structure of the table.

The tblload, tblmove, list, recget, recreplace, recupdate, recdelete, and recadd methods all return a NetrucsDbStats object.

## Member Function Documentation

## ◆ getCharMaps()

String[] NetricsServerInterface.NetricsTableStats.getCharMaps | ( |  | ) |
| inline

Gets the name of the character map for each field of the table.

Returns
  The name of the character map for each field of the table.

## ◆ getChildTables()

String[] NetricsServerInterface.NetricsTableStats.getChildTables | ( |  | ) |
| inline

Get the child tables of this table.

This returns a list of the child tables of this table. If this is not a parent table null is returned. If this table has no child tables either null or an empty list may be returned.

Returns
  A string array of the child tables for this parent table.

## ◆ getDbInfo()

String NetricsServerInterface.NetricsTableStats.getDbInfo | ( |  | ) |
| inline

Returns
  The table info field for this table. It will be null if no table info was specified at load time.

## ◆ getFieldBytes()

int[] NetricsServerInterface.NetricsTableStats.getFieldBytes | ( |  | ) |
| inline

Returns
  The total number of bytes in each field.

## ◆ getFieldByteTotals()

long[] NetricsServerInterface.NetricsTableStats.getFieldByteTotals | ( |  | ) |
| inline

Returns
  The total number of bytes in each field.

## ◆ getFieldCharTotals()

long[] NetricsServerInterface.NetricsTableStats.getFieldCharTotals | ( |  | ) |
| inline

Returns
  The total number of characters in each field.

## ◆ getFieldNames()

String[] NetricsServerInterface.NetricsTableStats.getFieldNames | ( |  | ) |
| inline

Returns
  The names of the fields of the table. These should be the same array of field names that was specified at load time.

## ◆ getFieldTypes()

int[] NetricsServerInterface.NetricsTableStats.getFieldTypes | ( |  | ) |
| inline

Returns
  The types of the fields of the table. These should be the same array of field types that was specified at load time.

## ◆ getHasVarattrs()

bool NetricsServerInterface.NetricsTableStats.getHasVarattrs | ( |  | ) |
| inline

Returns true if the table allows variable-attributes.

Returns
  true if the table allows variable-attributes.

## ◆ getHeaderBytes()

int NetricsServerInterface.NetricsTableStats.getHeaderBytes | ( |  | ) |
| inline

Returns
  The total size of the overhead for a table (in kbytes).

## ◆ getIdxBytes()

int NetricsServerInterface.NetricsTableStats.getIdxBytes | ( |  | ) |
| inline

Returns
  The total size of the indexing information for the table (in kbytes).

## ◆ getIdxGpuBytes()

int NetricsServerInterface.NetricsTableStats.getIdxGpuBytes | ( |  | ) |
| inline

Returns
  the size of GPU indexing information for the table (in kbytes).

## ◆ getIsChild()

bool NetricsServerInterface.NetricsTableStats.getIsChild | ( |  | ) |
| inline

Check if the table is a child table.

Returns
  True if the table is child table.

## ◆ getIsGpuIndexed()

bool NetricsServerInterface.NetricsTableStats.getIsGpuIndexed | ( |  | ) |
| inline

Checks if GPU-accelerated indexing is enabled for the table.

Returns
  true if GPU-accelerated indexing is enabled for the table.

## ◆ getIsParent()

bool NetricsServerInterface.NetricsTableStats.getIsParent | ( |  | ) |
| inline

Check if the table is a parent table.

Returns
  True if the table is a parent table.

## ◆ getKeyTreeBytes()

int NetricsServerInterface.NetricsTableStats.getKeyTreeBytes | ( |  | ) |
| inline

Returns
  The total size of the tree structure which holds the record keys for the table (in kbytes).

## ◆ getName()

String NetricsServerInterface.NetricsTableStats.getName | ( |  | ) |
| inline

Returns
  The name of the table.

## ◆ getNumRecs()

int NetricsServerInterface.NetricsTableStats.getNumRecs | ( |  | ) |
| inline

Returns
  The number of records currently in the table.

## ◆ getParentTableName()

string NetricsServerInterface.NetricsTableStats.getParentTableName | ( |  | ) |
| inline

Returns
  The name of the parent of this table, if this table is a child table.

Returns null if the table is not a child table.

## ◆ getPhoneticGipBytes()

int NetricsServerInterface.NetricsTableStats.getPhoneticGipBytes | ( |  | ) |
| inline

Returns
  The total size of the indexing information for the table for the "phoneticized records" (in kbytes). This can be larger than the size of the table.

## ◆ getProcBytes()

int NetricsServerInterface.NetricsTableStats.getProcBytes | ( |  | ) |
| inline

Returns
  The total memory used by the process (in kbytes). This is roughly the sum of the memory use of each table.

## ◆ getRecFieldBytes()

int NetricsServerInterface.NetricsTableStats.getRecFieldBytes | ( |  | ) |
| inline

Returns
  The total size of the overhead for storing the field structure of the table (in kbytes).

## ◆ getTotalBytes()

int NetricsServerInterface.NetricsTableStats.getTotalBytes | ( |  | ) |
| inline

Returns
  The total size of the table, all structures included (in kbytes). This is roughly the sum of the other statistics.

## ◆ getVarAttrNames()

String[] NetricsServerInterface.NetricsTableStats.getVarAttrNames | ( |  | ) |
| inline

Returns all the variable-attribute names in the table.

Returns
  All the variable-attribute names in the table.

The array will be empty if the table has no variable-attributes.

## ◆ isGipFiltered()

bool NetricsServerInterface.NetricsTableStats.isGipFiltered | ( |  | ) |
| inline

Returns
  Whether of not the GIP filter is turned on for the table

## ◆ isPhonetic()

bool NetricsServerInterface.NetricsTableStats.isPhonetic | ( |  | ) |
| inline

Returns
  Whether of not phonetics is turned on for the databse (phonetics performs substitutions based on sets of characters which sound the same - your software must have phonetics enabled in order for this property to be set).

## ◆ isPsiFiltered()

bool NetricsServerInterface.NetricsTableStats.isPsiFiltered | ( |  | ) |
| inline

Returns
  Whether of not the PSI filter is turned on for the table.

## ◆ isSortFiltered()

bool NetricsServerInterface.NetricsTableStats.isSortFiltered | ( |  | ) |
| inline

Returns
  Whether of not the SORT filter is turned on for the table.